FAIL: replicaset_test.go:155: MongoSuite.TestAddRemoveSetIPv6

Bug #1347969 reported by Dave Cheney on 2014-07-23
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
juju-core
High
Michael Foord

Bug Description

This test constantly fails on my machine. It appears that the test is creating a mongodb server listening only on IPV6, then tls.Dial is trying to dial an ipv4 address.

----------------------------------------------------------------------
FAIL: replicaset_test.go:155: MongoSuite.TestAddRemoveSetIPv6

[LOG] 0:00.000 DEBUG juju.testing starting mongo in /tmp/test-mgo499353809
[LOG] 0:00.000 DEBUG juju.testing found mongod at: "/usr/bin/mongod"
[LOG] 0:00.042 DEBUG juju.testing started mongod pid 17912 in /tmp/test-mgo499353809 on port 42338
[LOG] 0:00.049 INFO juju.replicaset Initiating replicaset with config replicaset.Config{Name:"juju", Version:1, Members:[]replicaset.Member{replicaset.Member{Id:1, Address:"localhost:42338", Arbiter:(*bool)(nil), BuildIndexes:(*bool)(nil), Hidden:(*bool)(nil), Priority:(*float64)(nil), Tags:map[string]string{"foo":"bar"}, SlaveDelay:(*time.Duration)(nil), Votes:(*int)(nil)}}}
[LOG] 0:00.058 WARNING juju.replicaset Initiate: fetching replication status failed: cannot get replica set status: Received replSetInitiate - should come online shortly.
[LOG] 0:00.212 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:00.558 WARNING juju.replicaset Initiate: fetching replication status failed: cannot get replica set status: Received replSetInitiate - should come online shortly.
[LOG] 0:00.713 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:01.059 WARNING juju.replicaset Initiate: fetching replication status failed: cannot get replica set status: Received replSetInitiate - should come online shortly.
[LOG] 0:01.213 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:01.559 WARNING juju.replicaset Initiate: fetching replication status failed: cannot get replica set status: Received replSetInitiate - should come online shortly.
[LOG] 0:01.713 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:01.713 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:02.060 WARNING juju.replicaset Initiate: fetching replication status failed: cannot get replica set status: Received replSetInitiate - should come online shortly.
[LOG] 0:02.214 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:02.560 WARNING juju.replicaset Initiate: fetching replication status failed: cannot get replica set status: Received replSetInitiate - should come online shortly.
[LOG] 0:02.714 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:03.061 WARNING juju.replicaset Initiate: fetching replication status failed: cannot get replica set status: Received replSetInitiate - should come online shortly.
[LOG] 0:03.214 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:03.214 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:03.561 WARNING juju.replicaset Initiate: fetching replication status failed: cannot get replica set status: Received replSetInitiate - should come online shortly.
[LOG] 0:03.715 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:04.062 WARNING juju.replicaset Initiate: fetching replication status failed: cannot get replica set status: Received replSetInitiate - should come online shortly.
[LOG] 0:04.215 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:04.562 WARNING juju.replicaset Initiate: fetching replication status failed: cannot get replica set status: Received replSetInitiate - should come online shortly.
[LOG] 0:04.716 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:04.716 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:05.063 WARNING juju.replicaset Initiate: fetching replication status failed: cannot get replica set status: Received replSetInitiate - should come online shortly.
[LOG] 0:05.216 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:05.564 WARNING juju.replicaset Initiate: fetching replication status failed: cannot get replica set status: Received replSetInitiate - should come online shortly.
[LOG] 0:05.717 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:06.064 WARNING juju.replicaset Initiate: fetching replication status failed: cannot get replica set status: Received replSetInitiate - should come online shortly.
[LOG] 0:06.217 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:06.217 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:06.565 WARNING juju.replicaset Initiate: fetching replication status failed: cannot get replica set status: Received replSetInitiate - should come online shortly.
[LOG] 0:06.718 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:07.066 WARNING juju.replicaset Initiate: fetching replication status failed: cannot get replica set status: Received replSetInitiate - should come online shortly.
[LOG] 0:07.218 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:07.566 WARNING juju.replicaset Initiate: fetching replication status failed: cannot get replica set status: Received replSetInitiate - should come online shortly.
[LOG] 0:07.719 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:07.719 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:08.067 WARNING juju.replicaset Initiate: fetching replication status failed: cannot get replica set status: Received replSetInitiate - should come online shortly.
[LOG] 0:08.219 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:08.567 WARNING juju.replicaset Initiate: fetching replication status failed: cannot get replica set status: Received replSetInitiate - should come online shortly.
[LOG] 0:08.719 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:09.068 WARNING juju.replicaset Initiate: fetching replication status failed: cannot get replica set status: Received replSetInitiate - should come online shortly.
[LOG] 0:09.220 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:09.220 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:09.568 WARNING juju.replicaset Initiate: fetching replication status failed: cannot get replica set status: Received replSetInitiate - should come online shortly.
[LOG] 0:09.720 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:10.220 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:10.721 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:10.721 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:11.221 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:11.721 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:12.225 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:12.225 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:12.751 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:12.756 DEBUG juju.testing starting mongo in /tmp/test-mgo906404860
[LOG] 0:12.757 DEBUG juju.testing found mongod at: "/usr/bin/mongod"
[LOG] 0:12.796 DEBUG juju.testing started mongod pid 18293 in /tmp/test-mgo906404860 on port 55915
[LOG] 0:12.803 INFO juju.replicaset Initiating replicaset with config replicaset.Config{Name:"juju", Version:1, Members:[]replicaset.Member{replicaset.Member{Id:1, Address:"::1:55915", Arbiter:(*bool)(nil), BuildIndexes:(*bool)(nil), Hidden:(*bool)(nil), Priority:(*float64)(nil), Tags:map[string]string{"foo":"bar"}, SlaveDelay:(*time.Duration)(nil), Votes:(*int)(nil)}}}
[LOG] 0:12.803 WARNING juju.replicaset Initiate: fetching replication status failed: cannot get replica set status: can't get local.system.replset config from self or any seed (EMPTYCONFIG)
[LOG] 0:13.251 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:13.304 WARNING juju.replicaset Initiate: fetching replication status failed: cannot get replica set status: can't get local.system.replset config from self or any seed (EMPTYCONFIG)
[LOG] 0:13.751 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:13.751 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:13.804 WARNING juju.replicaset Initiate: fetching replication status failed: cannot get replica set status: can't get local.system.replset config from self or any seed (EMPTYCONFIG)
[LOG] 0:14.252 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:14.305 WARNING juju.replicaset Initiate: fetching replication status failed: cannot get replica set status: can't get local.system.replset config from self or any seed (EMPTYCONFIG)
[LOG] 0:14.752 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:14.805 WARNING juju.replicaset Initiate: fetching replication status failed: cannot get replica set status: can't get local.system.replset config from self or any seed (EMPTYCONFIG)
[LOG] 0:15.253 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:15.253 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:15.305 WARNING juju.replicaset Initiate: fetching replication status failed: cannot get replica set status: can't get local.system.replset config from self or any seed (EMPTYCONFIG)
[LOG] 0:15.753 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:15.806 WARNING juju.replicaset Initiate: fetching replication status failed: cannot get replica set status: can't get local.system.replset config from self or any seed (EMPTYCONFIG)
[LOG] 0:16.253 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:16.307 WARNING juju.replicaset Initiate: fetching replication status failed: cannot get replica set status: can't get local.system.replset config from self or any seed (EMPTYCONFIG)
[LOG] 0:16.754 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:16.754 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:16.807 WARNING juju.replicaset Initiate: fetching replication status failed: cannot get replica set status: can't get local.system.replset config from self or any seed (EMPTYCONFIG)
[LOG] 0:17.254 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:17.308 WARNING juju.replicaset Initiate: fetching replication status failed: cannot get replica set status: can't get local.system.replset config from self or any seed (EMPTYCONFIG)
[LOG] 0:17.754 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:17.808 WARNING juju.replicaset Initiate: fetching replication status failed: cannot get replica set status: can't get local.system.replset config from self or any seed (EMPTYCONFIG)
[LOG] 0:18.255 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:18.255 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:18.309 WARNING juju.replicaset Initiate: fetching replication status failed: cannot get replica set status: can't get local.system.replset config from self or any seed (EMPTYCONFIG)
[LOG] 0:18.755 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:18.809 WARNING juju.replicaset Initiate: fetching replication status failed: cannot get replica set status: can't get local.system.replset config from self or any seed (EMPTYCONFIG)
[LOG] 0:19.255 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:19.310 WARNING juju.replicaset Initiate: fetching replication status failed: cannot get replica set status: can't get local.system.replset config from self or any seed (EMPTYCONFIG)
[LOG] 0:19.756 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:19.756 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:19.810 WARNING juju.replicaset Initiate: fetching replication status failed: cannot get replica set status: can't get local.system.replset config from self or any seed (EMPTYCONFIG)
[LOG] 0:20.256 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:20.310 WARNING juju.replicaset Initiate: fetching replication status failed: cannot get replica set status: can't get local.system.replset config from self or any seed (EMPTYCONFIG)
[LOG] 0:20.756 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:20.811 WARNING juju.replicaset Initiate: fetching replication status failed: cannot get replica set status: can't get local.system.replset config from self or any seed (EMPTYCONFIG)
[LOG] 0:21.257 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:21.257 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:21.311 WARNING juju.replicaset Initiate: fetching replication status failed: cannot get replica set status: can't get local.system.replset config from self or any seed (EMPTYCONFIG)
[LOG] 0:21.757 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:21.811 WARNING juju.replicaset Initiate: fetching replication status failed: cannot get replica set status: can't get local.system.replset config from self or any seed (EMPTYCONFIG)
[LOG] 0:22.257 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:22.312 WARNING juju.replicaset Initiate: fetching replication status failed: cannot get replica set status: can't get local.system.replset config from self or any seed (EMPTYCONFIG)
[LOG] 0:22.758 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:22.758 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:22.812 WARNING juju.replicaset Initiate: fetching replication status failed: cannot get replica set status: can't get local.system.replset config from self or any seed (EMPTYCONFIG)
[LOG] 0:23.258 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:23.313 WARNING juju.replicaset Initiate: fetching replication status failed: cannot get replica set status: can't get local.system.replset config from self or any seed (EMPTYCONFIG)
[LOG] 0:23.758 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:23.813 WARNING juju.replicaset Initiate: fetching replication status failed: cannot get replica set status: can't get local.system.replset config from self or any seed (EMPTYCONFIG)
[LOG] 0:24.259 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:24.259 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:24.314 WARNING juju.replicaset Initiate: fetching replication status failed: cannot get replica set status: can't get local.system.replset config from self or any seed (EMPTYCONFIG)
[LOG] 0:24.759 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:24.814 WARNING juju.replicaset Initiate: fetching replication status failed: cannot get replica set status: can't get local.system.replset config from self or any seed (EMPTYCONFIG)
[LOG] 0:25.260 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:25.315 WARNING juju.replicaset Initiate: fetching replication status failed: cannot get replica set status: can't get local.system.replset config from self or any seed (EMPTYCONFIG)
[LOG] 0:25.760 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:25.760 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:25.815 WARNING juju.replicaset Initiate: fetching replication status failed: cannot get replica set status: can't get local.system.replset config from self or any seed (EMPTYCONFIG)
[LOG] 0:26.260 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:26.316 WARNING juju.replicaset Initiate: fetching replication status failed: cannot get replica set status: can't get local.system.replset config from self or any seed (EMPTYCONFIG)
[LOG] 0:26.761 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:26.816 WARNING juju.replicaset Initiate: fetching replication status failed: cannot get replica set status: can't get local.system.replset config from self or any seed (EMPTYCONFIG)
[LOG] 0:27.261 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:27.261 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:27.316 WARNING juju.replicaset Initiate: fetching replication status failed: cannot get replica set status: can't get local.system.replset config from self or any seed (EMPTYCONFIG)
[LOG] 0:27.761 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:27.817 WARNING juju.replicaset Initiate: fetching replication status failed: cannot get replica set status: can't get local.system.replset config from self or any seed (EMPTYCONFIG)
[LOG] 0:28.261 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:28.318 WARNING juju.replicaset Initiate: fetching replication status failed: cannot get replica set status: can't get local.system.replset config from self or any seed (EMPTYCONFIG)
[LOG] 0:28.762 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:28.763 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:28.819 WARNING juju.replicaset Initiate: fetching replication status failed: cannot get replica set status: can't get local.system.replset config from self or any seed (EMPTYCONFIG)
[LOG] 0:29.263 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:29.319 WARNING juju.replicaset Initiate: fetching replication status failed: cannot get replica set status: can't get local.system.replset config from self or any seed (EMPTYCONFIG)
[LOG] 0:29.764 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:29.820 WARNING juju.replicaset Initiate: fetching replication status failed: cannot get replica set status: can't get local.system.replset config from self or any seed (EMPTYCONFIG)
[LOG] 0:30.265 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:30.266 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:30.321 WARNING juju.replicaset Initiate: fetching replication status failed: cannot get replica set status: can't get local.system.replset config from self or any seed (EMPTYCONFIG)
[LOG] 0:30.766 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:30.821 WARNING juju.replicaset Initiate: fetching replication status failed: cannot get replica set status: can't get local.system.replset config from self or any seed (EMPTYCONFIG)
[LOG] 0:31.266 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:31.321 WARNING juju.replicaset Initiate: fetching replication status failed: cannot get replica set status: can't get local.system.replset config from self or any seed (EMPTYCONFIG)
[LOG] 0:31.767 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:31.767 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:31.822 WARNING juju.replicaset Initiate: fetching replication status failed: cannot get replica set status: can't get local.system.replset config from self or any seed (EMPTYCONFIG)
[LOG] 0:32.267 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:32.322 WARNING juju.replicaset Initiate: fetching replication status failed: cannot get replica set status: can't get local.system.replset config from self or any seed (EMPTYCONFIG)
[LOG] 0:32.767 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:32.823 WARNING juju.replicaset Initiate: fetching replication status failed: cannot get replica set status: can't get local.system.replset config from self or any seed (EMPTYCONFIG)
[LOG] 0:33.268 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:33.268 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:33.323 WARNING juju.replicaset Initiate: fetching replication status failed: cannot get replica set status: can't get local.system.replset config from self or any seed (EMPTYCONFIG)
[LOG] 0:33.768 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:33.824 WARNING juju.replicaset Initiate: fetching replication status failed: cannot get replica set status: can't get local.system.replset config from self or any seed (EMPTYCONFIG)
[LOG] 0:34.268 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:34.324 WARNING juju.replicaset Initiate: fetching replication status failed: cannot get replica set status: can't get local.system.replset config from self or any seed (EMPTYCONFIG)
[LOG] 0:34.769 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:34.769 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:34.824 WARNING juju.replicaset Initiate: fetching replication status failed: cannot get replica set status: can't get local.system.replset config from self or any seed (EMPTYCONFIG)
[LOG] 0:35.269 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:35.325 WARNING juju.replicaset Initiate: fetching replication status failed: cannot get replica set status: can't get local.system.replset config from self or any seed (EMPTYCONFIG)
[LOG] 0:35.769 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:35.825 WARNING juju.replicaset Initiate: fetching replication status failed: cannot get replica set status: can't get local.system.replset config from self or any seed (EMPTYCONFIG)
[LOG] 0:36.270 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:36.270 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:36.326 WARNING juju.replicaset Initiate: fetching replication status failed: cannot get replica set status: can't get local.system.replset config from self or any seed (EMPTYCONFIG)
[LOG] 0:36.770 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:36.827 WARNING juju.replicaset Initiate: fetching replication status failed: cannot get replica set status: can't get local.system.replset config from self or any seed (EMPTYCONFIG)
[LOG] 0:37.271 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:37.327 WARNING juju.replicaset Initiate: fetching replication status failed: cannot get replica set status: can't get local.system.replset config from self or any seed (EMPTYCONFIG)
[LOG] 0:37.772 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
[LOG] 0:37.772 DEBUG juju.testing tls.Dial(127.0.0.1:54537) failed with dial tcp 127.0.0.1:54537: connection refused
replicaset_test.go:163:
    s.dialAndTestInitiate(c, root, getAddr(root))
replicaset_test.go:69:
    c.Assert(err, gc.IsNil)
... value *errors.errorString = &errors.errorString{s:"cannot get replica set status: can't get local.system.replset config from self or any seed (EMPTYCONFIG)"} ("cannot get replica set status: can't get local.system.replset config from self or any seed (EMPTYCONFIG)")

[LOG] 0:37.837 DEBUG juju.testing killing mongod pid 18293 in /tmp/test-mgo906404860 on port 55915 with killed
[LOG] 0:37.847 DEBUG juju.testing killing mongod pid 17912 in /tmp/test-mgo499353809 on port 42338 with killed
OOPS: 6 passed, 1 FAILED
--- FAIL: TestPackage (172.25s)
FAIL
FAIL github.com/juju/juju/replicaset 172.372s

Curtis Hovey (sinzui) on 2014-07-24
Changed in juju-core:
status: New → Triaged
importance: Undecided → High
milestone: none → 1.21-alpha1
tags: added: test-failure
tags: added: cloud-installer landscape
Adam Collard (adam-collard) wrote :

I can reproduce this error 3/3 times on a given MAAS provider, no IPv6 involved

Adam Collard (adam-collard) wrote :

Logs that I managed to grab before Juju tore down the node (via ssh ubuntu@IP sudo grep mongo /var/log/syslog)

http://paste.ubuntu.com/7958976/

Adam Collard (adam-collard) wrote :

Comparing the logs between the one that failed (http://paste.ubuntu.com/7958976/) and the one that succeeded (http://paste.ubuntu.com/7959898/). We can see this line which looks rather suspicious:

Aug 5 07:40:47 tesla mongod.37017[4419]: Tue Aug 5 07:40:47.799 [conn1] replSet replSetInitiate exception: can't find self in the replset config my port: 37017

I suspect that relSetInitiate failed, will never finish and therefore Juju fails to get the repl set config.

Ian Booth (wallyworld) on 2014-08-28
no longer affects: juju-core/1.20
John A Meinel (jameinel) wrote :

Adam, your bug seems a bit different. Specifically it seems that the Mongo machine comes up and then thinks its IP address is A, but Juju seems to think its IP address is B, and configures the replicaSet with B. It would be good to know why your machine has multiple addresses and how Mongo is picking the IP address.

Can you open a new bug for this so that we don't lose track of it? *This* bug is just about the test suite failing in certain circumstances.

John
=:->

Changed in juju-core:
status: Triaged → In Progress
assignee: nobody → Michael Foord (mfoord)
Adam Collard (adam-collard) wrote :

John,

Yeah, I worked with Ian and the MAAS guys on this in Nuremberg (bit naughty because we didn't record it all in LP). We had a bit of back and forth but got to the point where Ian had a working build that fixed the issue. That has already landed in Juju 1.20.x.

In other words, happy for you guys to go back to treating it as it was (test failure).

Adam

Curtis Hovey (sinzui) on 2014-09-10
Changed in juju-core:
milestone: 1.21-alpha1 → 1.21-alpha2
Ian Booth (wallyworld) on 2014-09-12
Changed in juju-core:
status: In Progress → Fix Committed
Curtis Hovey (sinzui) on 2014-10-23
Changed in juju-core:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers